std::recursive_timed_mutex(3cxx)

NAME
std::recursive_timed_mutex - recursive_timed_mutex

SYNOPSIS

#include <mutex>

  Public Member Functions

recursive_timed_mutex (const recursive_timed_mutex &)=delete
void lock ()
recursive_timed_mutex & operator= (const recursive_timed_mutex &)=delete
bool try_lock ()
template<typename _Rep , typename _Period > bool try_lock_for (const chrono::duration< _Rep, _Period > &__rtime)
template<typename _Clock , typename _Duration > bool try_lock_until (const chrono::time_point< _Clock, _Duration > &__atime)
void unlock ()

Detailed Description

recursive_timed_mutex

Definition at line 362 of file mutex.

Constructor & Destructor Documentation

  std::recursive_timed_mutex::~recursive_timed_mutex () [inline]

Definition at line 384 of file mutex.

Member Function Documentation

  void std::recursive_timed_mutex::lock () [inline]

Definition at line 390 of file mutex.

  bool std::recursive_timed_mutex::try_lock () [inline]

Definition at line 403 of file mutex.

  template<typename _Rep , typename _Period > bool std::recursive_timed_mutex::try_lock_for (const chrono::duration< _Rep, _Period > & __rtime) [inline]

Definition at line 419 of file mutex.

  template<typename _Clock , typename _Duration > bool std::recursive_timed_mutex::try_lock_until (const chrono::time_point< _Clock, _Duration > & __atime) [inline]

Definition at line 435 of file mutex.

  void std::recursive_timed_mutex::unlock () [inline]

Definition at line 450 of file mutex.

Author

Generated automatically by Doxygen for libstdc++ from the source code.